﻿using Orchard.Localization;
using Orchard.Security;
using Orchard.UI.Navigation;

namespace M33.SystemEditor {
    public class AdminMenu : INavigationProvider {
        public Localizer T { get; set; }
        public string MenuName { get { return "admin"; } }

        public void GetNavigation(NavigationBuilder builder) {
               builder
              .Add(T("Settings"), menu => menu
                  .Add(T("System Editor"), "11.0", subMenu => subMenu.Action("Index", "Admin", new { area = "M33.SystemEditor" }).Permission(StandardPermissions.SiteOwner)
                      .Add(T("Css Editor"), "11.0", item => item.Action("Index", "Admin", new { area = "M33.SystemEditor" }).Permission(StandardPermissions.SiteOwner).LocalNav())
                      .Add(T("View Editor"), "11.0", item => item.Action("ViewEditor", "Admin", new { area = "M33.SystemEditor" }).Permission(StandardPermissions.SiteOwner).LocalNav())
                      .Add(T("JS Editor"), "11.0", item => item.Action("JsEditor", "Admin", new { area = "M33.SystemEditor" }).Permission(StandardPermissions.SiteOwner).LocalNav())
                  ));

        }
    }
}
